Bug 192278 - CVE-2006-2440 ImageMagick heap overflow
CVE-2006-2440 ImageMagick heap overflow
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: ImageMagick (Show other bugs)
4.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Norm Murray
public=20060102,source=cve,impact=low...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-18 14:51 EDT by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2007-0015
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-15 11:33:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-05-18 14:51:43 EDT
ImageMagick heap overflow

ImageMagick's DisplayImageCommand contains a heap overflow flaw.  It
is possible to pass an unexpanded glob to ImageMagick which will be
expanded by ImageMagick and overflow heap memory.

The patch and more information can be found in the Debian bug:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=345595
Comment 6 Red Hat Bugzilla 2007-02-15 11:33:37 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0015.html

Note You need to log in before you can comment on or make changes to this bug.